Рабочие пространства
Список рабочих областей
Выводит список рабочих областей, видимых субъекту публичного API.
GET
/
v1
/
public
/
accounts
/
{account_id}
/
workspaces
Список рабочих областей
curl --request GET \
--url https://api.hybridbox.io/v1/public/accounts/{account_id}/workspaces \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hybridbox.io/v1/public/accounts/{account_id}/workspaces"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hybridbox.io/v1/public/accounts/{account_id}/workspaces', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"status": "active",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"page": 123,
"page_size": 123,
"total": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Авторизации
Public API bearer credential sent as Authorization: Bearer <token>. Use either an OAuth access token or a Hybridbox Service account token.
Параметры пути
Ответ
Рабочие области на этой странице
Hide child attributes
Hide child attributes
Учетная запись UUID, которой принадлежит рабочая область.
UUID рабочей области
Отображаемое имя рабочей области
Временная метка создания рабочей области
Статус жизненного цикла рабочей области
Временная метка последнего обновления рабочей области
Текущий номер страницы, основанный на единице
Максимальное количество элементов на странице
Всего соответствующих рабочих пространств
Была ли эта страница полезной?
⌘I
Список рабочих областей
